﻿hr.divider.divider-solid {
  border-top: var(--b-divider-thickness, 1px) solid var(--b-divider-color, #999);
}
hr.divider.divider-dashed {
  border-top: var(--b-divider-thickness, 1px) dashed var(--b-divider-color, #999);
}
hr.divider.divider-dotted {
  border-top: var(--b-divider-thickness, 1px) dotted var(--b-divider-color, #999);
}
hr.divider.divider-text {
  position: relative;
  border: none;
  height: var(--b-divider-thickness, 1px);
  background: var(--b-divider-color, #999);
  color: var(--b-divider-color, #999);
}
hr.divider.divider-text::before {
  content: attr(data-content);
  display: inline-block;
  background: #fff;
  font-weight: bold;
  font-size: var(--b-divider-font-size, 0.85rem);
  color: inherit;
  border-radius: 30rem;
  padding: 0.2rem 2rem;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.b-drop-zone {
  position: relative;
  transition: all 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}
.b-drop-zone.b-drop-zone-drag-block > * {
  pointer-events: none;
}
.b-drop-zone.b-drop-zone-drop-allowed {
  outline: 1px solid var(--b-theme-success, "#00FF00") !important;
}
.b-drop-zone.b-drop-zone-drop-not-allowed {
  outline: 1px solid var(--b-theme-danger, "#FF0000") !important;
}
.b-drop-zone-draggable:not(.draggable-preview-start) {
  cursor: grab;
  user-select: none;
}
.b-drop-zone-draggable:not(.draggable-preview-start):active {
  cursor: grabbing;
}
.b-drop-zone .draggable-placeholder {
  outline: 2px dashed var(--b-theme-primary, "#0000FF") !important;
  padding: 1rem;
}
.b-drop-zone .draggable-preview-start {
  height: 20px;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
}

.b-file-picker {
  display: inline-block;
  width: 100%;
}
.b-file-picker .b-text-drop {
  border: 1px solid rgba(0, 0, 0, 0.15);
  margin-top: 0.5rem;
  display: block;
  text-align: center;
  font-size: 0.75rem;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}
.b-file-picker .b-file-picker-file {
  min-width: 0;
}
.b-file-picker .b-file-picker-file span {
  display: block;
}
.b-file-picker .b-file-picker-file .b-file-picker-file-size, .b-file-picker .b-file-picker-file .b-file-picker-file-status, .b-file-picker .b-file-picker-file .b-file-picker-file-relativepath {
  font-size: 0.75rem;
}

.b-input-color-picker {
  padding: 0.6rem;
}
.b-input-color-picker > .b-input-color-picker-preview {
  position: relative;
  z-index: 1;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  /*margin-bottom: 0.5em;*/
}
.b-input-color-picker > .b-input-color-picker-preview::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url('data:image/svg+xml;utf8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 2 2"><path fill="white" d="M1,0H2V1H1V0ZM0,1H1V2H0V1Z"/><path fill="gray" d="M0,0H1V1H0V0ZM1,1H2V2H1V1Z"/></svg>');
  background-size: 0.5em;
  border-radius: 0.15em;
  z-index: -1;
}
.b-input-color-picker > .b-input-color-picker-preview > .b-input-color-picker-curent-color {
  display: inline-block;
  width: 100%;
  height: 100%;
}
.b-input-color-picker[aria-disabled=true] {
  opacity: 0.65;
}

.progress.progress-xs {
  height: 0.25rem;
}
.progress.progress-sm {
  height: 0.5rem;
}
.progress.progress-md {
  height: 1rem;
}
.progress.progress-lg {
  height: 1.5rem;
}
.progress.progress-xl {
  height: 2rem;
}

.b-page-progress {
  width: 100%;
  height: 4px;
  z-index: 9999;
  top: 0;
  left: 0;
  position: fixed;
  display: none;
}
.b-page-progress .b-page-progress-indicator {
  width: 0;
  height: 100%;
  transition: height 0.3s;
  background-color: #000;
  transition: width 1s;
}
.b-page-progress .b-page-progress-indicator.b-page-progress-indicator-indeterminate {
  width: 30%;
  animation: running-page-progress 2s cubic-bezier(0.4, 0, 0.2, 1) infinite;
}
.b-page-progress.b-page-progress-active {
  display: block;
}

@keyframes running-page-progress {
  0% {
    margin-left: 0px;
    margin-right: 100%;
  }
  50% {
    margin-left: 25%;
    margin-right: 0%;
  }
  100% {
    margin-left: 100%;
    margin-right: 0;
  }
}
.tippy-box[data-animation=scale][data-placement^=top] {
  transform-origin: bottom;
}

.tippy-box[data-animation=scale][data-placement^=bottom] {
  transform-origin: top;
}

.tippy-box[data-animation=scale][data-placement^=left] {
  transform-origin: right;
}

.tippy-box[data-animation=scale][data-placement^=right] {
  transform-origin: left;
}

.tippy-box[data-animation=scale][data-state=hidden] {
  transform: scale(0.5);
  opacity: 0;
}

.tippy-box[data-theme~=blazorise] {
  background-color: RGBA( var(--b-tooltip-background-color-r, 128), var(--b-tooltip-background-color-g, 128), var(--b-tooltip-background-color-b, 128), var(--b-tooltip-background-opacity, 0.9) );
  color: var(--b-tooltip-color, #ffffff);
}

.tippy-box[data-theme~=blazorise][data-placement^=top] > .tippy-arrow::before {
  border-top-color: RGBA( var(--b-tooltip-background-color-r, 128), var(--b-tooltip-background-color-g, 128), var(--b-tooltip-background-color-b, 128), var(--b-tooltip-background-opacity, 0.9) );
}

.tippy-box[data-theme~=blazorise][data-placement^=bottom] > .tippy-arrow::before {
  border-bottom-color: RGBA( var(--b-tooltip-background-color-r, 128), var(--b-tooltip-background-color-g, 128), var(--b-tooltip-background-color-b, 128), var(--b-tooltip-background-opacity, 0.9) );
}

.tippy-box[data-theme~=blazorise][data-placement^=left] > .tippy-arrow::before {
  border-left-color: RGBA( var(--b-tooltip-background-color-r, 128), var(--b-tooltip-background-color-g, 128), var(--b-tooltip-background-color-b, 128), var(--b-tooltip-background-opacity, 0.9) );
}

.tippy-box[data-theme~=blazorise][data-placement^=right] > .tippy-arrow::before {
  border-right-color: RGBA( var(--b-tooltip-background-color-r, 128), var(--b-tooltip-background-color-g, 128), var(--b-tooltip-background-color-b, 128), var(--b-tooltip-background-opacity, 0.9) );
}

.tippy-box[data-theme~=blazorise] > .tippy-svg-arrow {
  fill: RGBA( var(--b-tooltip-background-color-r, 128), var(--b-tooltip-background-color-g, 128), var(--b-tooltip-background-color-b, 128), var(--b-tooltip-background-opacity, 0.9) );
}

.b-tooltip-inline {
  display: inline-block;
}

.b-layout {
  display: flex;
  flex: auto;
  flex-direction: column;
}
.b-layout.b-layout-root {
  height: 100vh;
}

.b-layout,
.b-layout * {
  box-sizing: border-box;
}

@keyframes spinner {
  0% {
    transform: translate3d(-50%, -50%, 0) rotate(0deg);
  }
  100% {
    transform: translate3d(-50%, -50%, 0) rotate(360deg);
  }
}
.b-layout > .b-layout-loading {
  z-index: 9999;
  position: fixed;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.3);
}
.b-layout > .b-layout-loading:before {
  animation: 1s linear infinite spinner;
  border: solid 3px #eee;
  border-bottom-color: var(--b-theme-primary);
  border-radius: 50%;
  height: 40px;
  left: 50%;
  position: absolute;
  top: 50%;
  transform: translate3d(-50%, -50%, 0);
  width: 40px;
  content: " ";
}
.b-layout.b-layout-has-sider {
  flex-direction: row;
  min-height: 0;
}
.b-layout.b-layout-has-sider .b-layout {
  overflow-x: hidden;
}

.b-layout-header,
.b-layout-footer {
  flex: 0 0 auto;
}

.b-layout-header {
  color: rgba(0, 0, 0, 0.65);
}

.b-layout.b-layout-root.b-layout-has-sider > .b-layout-header-fixed,
.b-layout.b-layout-root.b-layout-has-sider > .b-layout > .b-layout-header-fixed {
  position: sticky;
  top: 0;
  width: 100%;
  flex: 0;
}

.b-layout.b-layout-root:not(.b-layout-has-sider) .b-layout-header-fixed,
.b-layout.b-layout-root:not(.b-layout-has-sider) > .b-layout .b-layout-header-fixed {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  flex: 0;
}
.b-layout.b-layout-root:not(.b-layout-has-sider) .b-layout-header-fixed + .b-layout-content,
.b-layout.b-layout-root:not(.b-layout-has-sider) > .b-layout .b-layout-header-fixed + .b-layout-content {
  margin-top: var(--b-bar-horizontal-height, auto);
}

.b-layout.b-layout-root > .b-layout-header.b-layout-header-fixed + .b-layout.b-layout-has-sider {
  margin-top: var(--b-bar-horizontal-height, auto);
}

.b-layout-footer {
  color: rgba(0, 0, 0, 0.65);
}
.b-layout-footer-fixed {
  position: sticky;
  z-index: 1;
  bottom: 0;
  flex: 0;
}

.b-layout-content {
  flex: 1;
}

.b-layout-sider {
  display: flex;
  position: relative;
  background: #001529;
}

.b-layout-sider-content {
  position: sticky;
  top: 0;
  z-index: 2;
}

.b-layout-header .navbar {
  line-height: inherit;
}

.b-bar-dropdown-toggle-icon-container {
  position: relative;
  display: inline-flex;
  width: 1rem;
  height: 1rem;
  align-items: center;
  justify-content: center;
}

.b-bar-dropdown-toggle-icon-layer {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  pointer-events: none;
  transform-origin: center;
  transition: opacity 180ms ease, transform 180ms ease;
}

.b-bar-dropdown-toggle-icon-layer-visible {
  opacity: 1;
  transform: rotate(0deg);
}

.b-bar-dropdown-toggle-icon-layer-hidden-expand {
  opacity: 0;
  transform: rotate(-90deg);
}

.b-bar-dropdown-toggle-icon-layer-hidden-collapse {
  opacity: 0;
  transform: rotate(90deg);
}

.b-bar-dropdown-toggle-content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

.b-bar-dropdown-toggle-content-text {
  min-width: 0;
}

.b-bar-horizontal[data-collapse=hide] {
  flex-wrap: nowrap;
}
.b-bar-horizontal[data-collapse=hide][data-broken=true] {
  height: auto;
}
.b-bar-horizontal[data-broken=false] {
  height: auto;
}

.b-layout > .b-layout-header .b-bar-horizontal[data-collapse=hide][data-broken=true] {
  height: var(--b-bar-horizontal-height, auto);
}
.b-layout > .b-layout-header .b-bar-horizontal[data-broken=false] {
  height: var(--b-bar-horizontal-height, auto);
}

.b-bar-initial {
  display: none !important;
}

.b-bar-vertical-inline,
.b-bar-vertical-popout,
.b-bar-vertical-small {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  position: sticky;
  top: 0;
  padding: 0;
  min-width: var(--b-vertical-bar-width, 230px);
  max-width: var(--b-vertical-bar-width, 230px);
  width: var(--b-vertical-bar-width, 230px);
  box-shadow: 2px 0 6px rgba(0, 21, 41, 0.35);
  height: 100%;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  /* 
      Theming
  */
}
.b-bar-vertical-inline:not(.b-bar-initial),
.b-bar-vertical-popout:not(.b-bar-initial),
.b-bar-vertical-small:not(.b-bar-initial) {
  transition: width 200ms ease-in-out, min-width 200ms ease-in-out;
}
.b-bar-vertical-inline .b-bar-menu,
.b-bar-vertical-popout .b-bar-menu,
.b-bar-vertical-small .b-bar-menu {
  width: 100%;
  display: flex;
  flex: 1;
  min-height: 0;
  overflow-y: auto;
  overflow-x: hidden;
  justify-content: space-between;
  flex-direction: column;
  align-self: stretch;
}
.b-bar-vertical-inline .b-bar-brand,
.b-bar-vertical-popout .b-bar-brand,
.b-bar-vertical-small .b-bar-brand {
  width: 100%;
  display: flex;
  height: var(--b-vertical-bar-brand-height, 64px);
  min-height: var(--b-vertical-bar-brand-height, 64px);
}
.b-bar-vertical-inline .b-bar-toggler-inline,
.b-bar-vertical-popout .b-bar-toggler-inline,
.b-bar-vertical-small .b-bar-toggler-inline {
  height: var(--b-vertical-bar-brand-height, 64px);
  padding: 12px;
  display: inline-flex;
  cursor: pointer;
  position: absolute;
  right: 0;
}
.b-bar-vertical-inline .b-bar-toggler-inline > *,
.b-bar-vertical-popout .b-bar-toggler-inline > *,
.b-bar-vertical-small .b-bar-toggler-inline > * {
  margin: auto;
}
.b-bar-vertical-inline .b-bar-toggler-popout:not(.b-bar-mobile-toggle),
.b-bar-vertical-popout .b-bar-toggler-popout:not(.b-bar-mobile-toggle),
.b-bar-vertical-small .b-bar-toggler-popout:not(.b-bar-mobile-toggle) {
  display: flex;
  position: fixed;
  left: var(--b-vertical-bar-width, 230px);
  border-radius: 0px 10px 10px 0px;
  border: 0px;
  width: 10px;
  height: 40px;
  padding: 5px;
  align-items: center;
  box-shadow: 2px 0 6px rgba(0, 21, 41, 0.35);
  cursor: pointer;
}
.b-bar-vertical-inline .b-bar-toggler-popout:not(.b-bar-mobile-toggle):not(.b-bar-initial),
.b-bar-vertical-popout .b-bar-toggler-popout:not(.b-bar-mobile-toggle):not(.b-bar-initial),
.b-bar-vertical-small .b-bar-toggler-popout:not(.b-bar-mobile-toggle):not(.b-bar-initial) {
  transition: width 200ms ease-in-out, left 200ms ease-in-out;
}
.b-bar-vertical-inline .b-bar-toggler-popout:not(.b-bar-mobile-toggle) > *,
.b-bar-vertical-popout .b-bar-toggler-popout:not(.b-bar-mobile-toggle) > *,
.b-bar-vertical-small .b-bar-toggler-popout:not(.b-bar-mobile-toggle) > * {
  margin: auto;
  display: none;
}
.b-bar-vertical-inline .b-bar-toggler-popout:not(.b-bar-mobile-toggle):hover,
.b-bar-vertical-popout .b-bar-toggler-popout:not(.b-bar-mobile-toggle):hover,
.b-bar-vertical-small .b-bar-toggler-popout:not(.b-bar-mobile-toggle):hover {
  width: 45px;
}
.b-bar-vertical-inline .b-bar-toggler-popout:not(.b-bar-mobile-toggle):hover > *,
.b-bar-vertical-popout .b-bar-toggler-popout:not(.b-bar-mobile-toggle):hover > *,
.b-bar-vertical-small .b-bar-toggler-popout:not(.b-bar-mobile-toggle):hover > * {
  display: block;
}
.b-bar-vertical-inline .b-bar-item,
.b-bar-vertical-popout .b-bar-item,
.b-bar-vertical-small .b-bar-item {
  margin: auto;
  flex-grow: 1;
  min-height: 40px;
}
.b-bar-vertical-inline .b-bar-item .b-bar-icon,
.b-bar-vertical-popout .b-bar-item .b-bar-icon,
.b-bar-vertical-small .b-bar-item .b-bar-icon {
  font-size: 1.25rem;
  vertical-align: middle;
  margin: 3px;
  display: inline-block;
}
.b-bar-vertical-inline .b-bar-start,
.b-bar-vertical-popout .b-bar-start,
.b-bar-vertical-small .b-bar-start {
  width: 100%;
  display: block;
}
.b-bar-vertical-inline .b-bar-end,
.b-bar-vertical-popout .b-bar-end,
.b-bar-vertical-small .b-bar-end {
  padding-bottom: 1rem;
  width: 100%;
  padding-top: 1rem;
  display: block;
}
.b-bar-vertical-inline .b-bar-end .b-bar-dropdown-menu-container,
.b-bar-vertical-popout .b-bar-end .b-bar-dropdown-menu-container,
.b-bar-vertical-small .b-bar-end .b-bar-dropdown-menu-container {
  bottom: 0;
  padding-bottom: 0.5rem;
}
.b-bar-vertical-inline .b-bar-link,
.b-bar-vertical-popout .b-bar-link,
.b-bar-vertical-small .b-bar-link {
  display: block;
  width: 100%;
  text-decoration: none;
  padding: 0.5rem 0.5rem 0.5rem 1.5rem;
  cursor: pointer;
  overflow-x: hidden;
  line-height: 1.5rem;
  vertical-align: middle;
  transition: font-size 150ms ease-in;
}
.b-bar-vertical-inline .b-bar-label,
.b-bar-vertical-popout .b-bar-label,
.b-bar-vertical-small .b-bar-label {
  background: transparent;
  color: #adb5bd;
  padding: 0.375rem 1.25rem;
  font-size: 0.75rem;
  text-overflow: ellipsis;
  overflow-x: hidden;
}
.b-bar-vertical-inline .b-bar-dropdown .b-bar-dropdown-menu,
.b-bar-vertical-popout .b-bar-dropdown .b-bar-dropdown-menu,
.b-bar-vertical-small .b-bar-dropdown .b-bar-dropdown-menu {
  display: none;
  background: inherit;
  color: inherit;
  float: none;
  padding: 5px 0px;
}
.b-bar-vertical-inline .b-bar-dropdown .b-bar-dropdown-menu[data-visible=true],
.b-bar-vertical-popout .b-bar-dropdown .b-bar-dropdown-menu[data-visible=true],
.b-bar-vertical-small .b-bar-dropdown .b-bar-dropdown-menu[data-visible=true] {
  display: block;
}
.b-bar-vertical-inline .b-bar-dropdown .b-bar-dropdown-menu .b-bar-dropdown-item,
.b-bar-vertical-popout .b-bar-dropdown .b-bar-dropdown-menu .b-bar-dropdown-item,
.b-bar-vertical-small .b-bar-dropdown .b-bar-dropdown-menu .b-bar-dropdown-item {
  position: relative;
  color: inherit;
  transition: background 100ms ease-in-out, color 100ms ease-in-out;
  text-decoration: none;
  display: block;
  width: 100%;
  overflow-x: hidden;
}
.b-bar-vertical-inline .b-bar-dropdown .b-bar-dropdown-menu .b-bar-dropdown-item i,
.b-bar-vertical-popout .b-bar-dropdown .b-bar-dropdown-menu .b-bar-dropdown-item i,
.b-bar-vertical-small .b-bar-dropdown .b-bar-dropdown-menu .b-bar-dropdown-item i {
  margin-right: 0.3rem;
}
.b-bar-vertical-inline .b-bar-dropdown .b-bar-dropdown-menu:before,
.b-bar-vertical-popout .b-bar-dropdown .b-bar-dropdown-menu:before,
.b-bar-vertical-small .b-bar-dropdown .b-bar-dropdown-menu:before {
  background: inherit;
  box-shadow: none;
}
.b-bar-vertical-inline .b-bar-mobile-toggle,
.b-bar-vertical-popout .b-bar-mobile-toggle,
.b-bar-vertical-small .b-bar-mobile-toggle {
  right: 20px;
  margin: auto;
  display: none;
}
.b-bar-vertical-inline .b-bar-item-multi-line,
.b-bar-vertical-popout .b-bar-item-multi-line,
.b-bar-vertical-small .b-bar-item-multi-line {
  display: -webkit-box !important;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: var(--b-bar-item-lines, 2);
  white-space: normal !important;
  overflow: hidden;
  text-overflow: ellipsis;
}
.b-bar-vertical-inline.b-bar-dark,
.b-bar-vertical-popout.b-bar-dark,
.b-bar-vertical-small.b-bar-dark {
  background: var(--b-bar-dark-background, #001529);
  color: var(--b-bar-dark-color, rgba(255, 255, 255, 0.5));
}
.b-bar-vertical-inline.b-bar-dark .b-bar-brand,
.b-bar-vertical-popout.b-bar-dark .b-bar-brand,
.b-bar-vertical-small.b-bar-dark .b-bar-brand {
  background: var(--b-bar-brand-dark-background, rgba(255, 255, 255, 0.025));
}
.b-bar-vertical-inline.b-bar-dark .b-bar-brand .b-bar-link,
.b-bar-vertical-popout.b-bar-dark .b-bar-brand .b-bar-link,
.b-bar-vertical-small.b-bar-dark .b-bar-brand .b-bar-link {
  color: #fff;
}
.b-bar-vertical-inline.b-bar-dark .b-bar-brand .b-bar-link.active,
.b-bar-vertical-popout.b-bar-dark .b-bar-brand .b-bar-link.active,
.b-bar-vertical-small.b-bar-dark .b-bar-brand .b-bar-link.active {
  color: #fff;
  background: inherit;
}
.b-bar-vertical-inline.b-bar-dark .b-bar-brand .b-bar-link:hover,
.b-bar-vertical-popout.b-bar-dark .b-bar-brand .b-bar-link:hover,
.b-bar-vertical-small.b-bar-dark .b-bar-brand .b-bar-link:hover {
  color: #fff;
  background: inherit;
}
.b-bar-vertical-inline.b-bar-dark .b-bar-toggler-popout:not(.b-bar-mobile-toggle),
.b-bar-vertical-popout.b-bar-dark .b-bar-toggler-popout:not(.b-bar-mobile-toggle),
.b-bar-vertical-small.b-bar-dark .b-bar-toggler-popout:not(.b-bar-mobile-toggle) {
  background: var(--b-bar-dark-background, #001529);
  color: var(--b-bar-dark-color, rgba(255, 255, 255, 0.5));
}
.b-bar-vertical-inline.b-bar-dark .b-bar-dropdown-menu,
.b-bar-vertical-popout.b-bar-dark .b-bar-dropdown-menu,
.b-bar-vertical-small.b-bar-dark .b-bar-dropdown-menu {
  background: var(--b-bar-dropdown-dark-background, #000c17);
}
.b-bar-vertical-inline.b-bar-dark .b-bar-dropdown-menu .b-bar-dropdown-item.active,
.b-bar-vertical-popout.b-bar-dark .b-bar-dropdown-menu .b-bar-dropdown-item.active,
.b-bar-vertical-small.b-bar-dark .b-bar-dropdown-menu .b-bar-dropdown-item.active {
  color: var(--b-bar-item-dark-active-color, #fff);
  background: var(--b-bar-item-dark-active-background, #0288D1);
}
.b-bar-vertical-inline.b-bar-dark .b-bar-dropdown-menu .b-bar-dropdown-item:hover,
.b-bar-vertical-popout.b-bar-dark .b-bar-dropdown-menu .b-bar-dropdown-item:hover,
.b-bar-vertical-small.b-bar-dark .b-bar-dropdown-menu .b-bar-dropdown-item:hover {
  color: var(--b-bar-item-dark-hover-color, #fff);
  background: var(--b-bar-item-dark-hover-background, rgba(255, 255, 255, 0.3));
}
.b-bar-vertical-inline.b-bar-dark .b-bar-link,
.b-bar-vertical-popout.b-bar-dark .b-bar-link,
.b-bar-vertical-small.b-bar-dark .b-bar-link {
  color: inherit;
}
.b-bar-vertical-inline.b-bar-dark .b-bar-link.active,
.b-bar-vertical-popout.b-bar-dark .b-bar-link.active,
.b-bar-vertical-small.b-bar-dark .b-bar-link.active {
  color: var(--b-bar-item-dark-active-color, #fff);
  background: var(--b-bar-item-dark-active-background, #0288D1);
}
.b-bar-vertical-inline.b-bar-dark .b-bar-link:hover,
.b-bar-vertical-popout.b-bar-dark .b-bar-link:hover,
.b-bar-vertical-small.b-bar-dark .b-bar-link:hover {
  color: var(--b-bar-item-dark-hover-color, #fff);
  background: var(--b-bar-item-dark-hover-background, rgba(255, 255, 255, 0.3));
}
.b-bar-vertical-inline.b-bar-light,
.b-bar-vertical-popout.b-bar-light,
.b-bar-vertical-small.b-bar-light {
  background: var(--b-bar-light-background, #fff);
  color: var(--b-bar-light-color, rgba(0, 0, 0, 0.7));
}
.b-bar-vertical-inline.b-bar-light .b-bar-brand,
.b-bar-vertical-popout.b-bar-light .b-bar-brand,
.b-bar-vertical-small.b-bar-light .b-bar-brand {
  background: var(--b-bar-brand-light-background, rgba(0, 0, 0, 0.025));
}
.b-bar-vertical-inline.b-bar-light .b-bar-brand .b-bar-link,
.b-bar-vertical-popout.b-bar-light .b-bar-brand .b-bar-link,
.b-bar-vertical-small.b-bar-light .b-bar-brand .b-bar-link {
  color: #000;
}
.b-bar-vertical-inline.b-bar-light .b-bar-brand .b-bar-link.active,
.b-bar-vertical-popout.b-bar-light .b-bar-brand .b-bar-link.active,
.b-bar-vertical-small.b-bar-light .b-bar-brand .b-bar-link.active {
  background: inherit;
}
.b-bar-vertical-inline.b-bar-light .b-bar-brand .b-bar-link:hover,
.b-bar-vertical-popout.b-bar-light .b-bar-brand .b-bar-link:hover,
.b-bar-vertical-small.b-bar-light .b-bar-brand .b-bar-link:hover {
  background: inherit;
}
.b-bar-vertical-inline.b-bar-light .b-bar-toggler-popout:not(.b-bar-mobile-toggle),
.b-bar-vertical-popout.b-bar-light .b-bar-toggler-popout:not(.b-bar-mobile-toggle),
.b-bar-vertical-small.b-bar-light .b-bar-toggler-popout:not(.b-bar-mobile-toggle) {
  background: var(--b-bar-brand-light-background, #fff);
  color: var(--b-bar-light-color, rgba(0, 0, 0, 0.7));
}
.b-bar-vertical-inline.b-bar-light .b-bar-dropdown-menu,
.b-bar-vertical-popout.b-bar-light .b-bar-dropdown-menu,
.b-bar-vertical-small.b-bar-light .b-bar-dropdown-menu {
  background: var(--b-bar-dropdown-light-background, #f2f2f2);
}
.b-bar-vertical-inline.b-bar-light .b-bar-dropdown-menu .b-bar-dropdown-item.active,
.b-bar-vertical-popout.b-bar-light .b-bar-dropdown-menu .b-bar-dropdown-item.active,
.b-bar-vertical-small.b-bar-light .b-bar-dropdown-menu .b-bar-dropdown-item.active {
  color: var(--b-bar-item-light-active-color, #000);
  background: var(--b-bar-item-light-active-background, #0288D1);
}
.b-bar-vertical-inline.b-bar-light .b-bar-dropdown-menu .b-bar-dropdown-item:hover,
.b-bar-vertical-popout.b-bar-light .b-bar-dropdown-menu .b-bar-dropdown-item:hover,
.b-bar-vertical-small.b-bar-light .b-bar-dropdown-menu .b-bar-dropdown-item:hover {
  color: var(--b-bar-item-light-hover-color, #000);
  background: var(--b-bar-item-light-hover-background, rgba(0, 0, 0, 0.3));
}
.b-bar-vertical-inline.b-bar-light .b-bar-link,
.b-bar-vertical-popout.b-bar-light .b-bar-link,
.b-bar-vertical-small.b-bar-light .b-bar-link {
  color: inherit;
}
.b-bar-vertical-inline.b-bar-light .b-bar-link.active,
.b-bar-vertical-popout.b-bar-light .b-bar-link.active,
.b-bar-vertical-small.b-bar-light .b-bar-link.active {
  color: var(--b-bar-item-light-active-color, #000);
  background: var(--b-bar-item-light-active-background, #0288D1);
}
.b-bar-vertical-inline.b-bar-light .b-bar-link:hover,
.b-bar-vertical-popout.b-bar-light .b-bar-link:hover,
.b-bar-vertical-small.b-bar-light .b-bar-link:hover {
  color: var(--b-bar-item-light-hover-color, #000);
  background: var(--b-bar-item-light-hover-background, rgba(0, 0, 0, 0.3));
}

.b-bar-vertical-small,
.b-bar-vertical-inline[data-collapse=small],
.b-bar-vertical-popout[data-collapse=small] {
  width: var(--b-vertical-bar-small-width, 64px);
  min-width: var(--b-vertical-bar-small-width, 64px);
}
.b-bar-vertical-small:not(.b-bar-initial),
.b-bar-vertical-inline[data-collapse=small]:not(.b-bar-initial),
.b-bar-vertical-popout[data-collapse=small]:not(.b-bar-initial) {
  transition: width 200ms ease-in-out, min-width 200ms ease-in-out;
}
.b-bar-vertical-small .b-bar-toggler-inline,
.b-bar-vertical-inline[data-collapse=small] .b-bar-toggler-inline,
.b-bar-vertical-popout[data-collapse=small] .b-bar-toggler-inline {
  position: relative;
  width: 100%;
}
.b-bar-vertical-small .b-bar-toggler-popout:not(.b-bar-mobile-toggle),
.b-bar-vertical-inline[data-collapse=small] .b-bar-toggler-popout:not(.b-bar-mobile-toggle),
.b-bar-vertical-popout[data-collapse=small] .b-bar-toggler-popout:not(.b-bar-mobile-toggle) {
  left: var(--b-vertical-bar-small-width, 64px);
}
.b-bar-vertical-small .b-bar-dropdown .b-bar-dropdown-menu-container,
.b-bar-vertical-inline[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container,
.b-bar-vertical-popout[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container {
  z-index: 100;
  max-height: 50vh;
  position: absolute;
  right: auto;
  bottom: auto;
  margin: -42px 5px 0px 5px;
  display: flex;
  width: var(--b-vertical-bar-popout-menu-width, 180px);
  left: var(--b-vertical-bar-small-width, 64px);
}
.b-bar-vertical-small .b-bar-dropdown .b-bar-dropdown-menu-container.b-bar-right,
.b-bar-vertical-inline[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container.b-bar-right,
.b-bar-vertical-popout[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container.b-bar-right {
  right: var(--b-vertical-bar-small-width, 64px);
  left: unset;
}
.b-bar-vertical-small .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu,
.b-bar-vertical-inline[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu,
.b-bar-vertical-popout[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu {
  box-shadow: 0 3px 6px -4px rgba(0, 0, 0, 0.12), 0 6px 16px 0 rgba(0, 0, 0, 0.08), 0 9px 28px 8px rgba(0, 0, 0, 0.05);
  border-radius: 3px;
  overflow-y: auto;
  overflow-x: hidden;
  flex: 1 100%;
}
.b-bar-vertical-small .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu .b-bar-dropdown-item,
.b-bar-vertical-inline[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu .b-bar-dropdown-item,
.b-bar-vertical-popout[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu .b-bar-dropdown-item {
  padding: 0.5rem 0.5rem 0.5rem 1.5rem;
}
.b-bar-vertical-small .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu:before,
.b-bar-vertical-inline[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu:before,
.b-bar-vertical-popout[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu:before {
  position: absolute;
  top: 0;
  left: -7px;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  opacity: 0.0001;
  content: " ";
  z-index: -1;
}
.b-bar-vertical-small .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu.b-bar-right:before,
.b-bar-vertical-inline[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu.b-bar-right:before,
.b-bar-vertical-popout[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu.b-bar-right:before {
  left: unset;
  right: -7px;
}
.b-bar-vertical-small .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu > .b-bar-dropdown > .b-bar-dropdown-menu-container,
.b-bar-vertical-inline[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu > .b-bar-dropdown > .b-bar-dropdown-menu-container,
.b-bar-vertical-popout[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu > .b-bar-dropdown > .b-bar-dropdown-menu-container {
  left: var(--b-vertical-bar-popout-menu-width, 180px);
  margin: 0 5px;
}
.b-bar-vertical-small .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu > .b-bar-dropdown > .b-bar-dropdown-menu-container.b-bar-right,
.b-bar-vertical-inline[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu > .b-bar-dropdown > .b-bar-dropdown-menu-container.b-bar-right,
.b-bar-vertical-popout[data-collapse=small] .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu > .b-bar-dropdown > .b-bar-dropdown-menu-container.b-bar-right {
  right: var(--b-vertical-bar-popout-menu-width, 180px);
}
.b-bar-vertical-small .b-bar-menu,
.b-bar-vertical-inline[data-collapse=small] .b-bar-menu,
.b-bar-vertical-popout[data-collapse=small] .b-bar-menu {
  scrollbar-width: none;
  -ms-overflow-style: none;
}
.b-bar-vertical-small .b-bar-menu::-webkit-scrollbar,
.b-bar-vertical-inline[data-collapse=small] .b-bar-menu::-webkit-scrollbar,
.b-bar-vertical-popout[data-collapse=small] .b-bar-menu::-webkit-scrollbar {
  width: 0;
  height: 0;
}
@keyframes b-bar-link-small {
  to {
    text-align: center;
    padding-left: 0px;
    padding-right: 0px;
  }
}
.b-bar-vertical-small .b-bar-item > .b-bar-link,
.b-bar-vertical-small .b-bar-item > .b-bar-dropdown > .b-bar-link,
.b-bar-vertical-inline[data-collapse=small] .b-bar-item > .b-bar-link,
.b-bar-vertical-inline[data-collapse=small] .b-bar-item > .b-bar-dropdown > .b-bar-link,
.b-bar-vertical-popout[data-collapse=small] .b-bar-item > .b-bar-link,
.b-bar-vertical-popout[data-collapse=small] .b-bar-item > .b-bar-dropdown > .b-bar-link {
  animation: b-bar-link-small forwards;
  animation-delay: 170ms;
  font-size: 0;
  transition: font-size 100ms ease-out;
}
.b-bar-vertical-small .b-bar-item > .b-bar-link:after,
.b-bar-vertical-small .b-bar-item > .b-bar-dropdown > .b-bar-link:after,
.b-bar-vertical-inline[data-collapse=small] .b-bar-item > .b-bar-link:after,
.b-bar-vertical-inline[data-collapse=small] .b-bar-item > .b-bar-dropdown > .b-bar-link:after,
.b-bar-vertical-popout[data-collapse=small] .b-bar-item > .b-bar-link:after,
.b-bar-vertical-popout[data-collapse=small] .b-bar-item > .b-bar-dropdown > .b-bar-link:after {
  display: none;
}
.b-bar-vertical-small .b-bar-item > .b-bar-dropdown > .b-bar-link .b-bar-dropdown-toggle-content,
.b-bar-vertical-inline[data-collapse=small] .b-bar-item > .b-bar-dropdown > .b-bar-link .b-bar-dropdown-toggle-content,
.b-bar-vertical-popout[data-collapse=small] .b-bar-item > .b-bar-dropdown > .b-bar-link .b-bar-dropdown-toggle-content {
  justify-content: center;
}
.b-bar-vertical-small .b-bar-item > .b-bar-dropdown > .b-bar-link .b-bar-dropdown-toggle-content-icon,
.b-bar-vertical-inline[data-collapse=small] .b-bar-item > .b-bar-dropdown > .b-bar-link .b-bar-dropdown-toggle-content-icon,
.b-bar-vertical-popout[data-collapse=small] .b-bar-item > .b-bar-dropdown > .b-bar-link .b-bar-dropdown-toggle-content-icon {
  display: none;
}
.b-bar-vertical-small .b-bar-label,
.b-bar-vertical-inline[data-collapse=small] .b-bar-label,
.b-bar-vertical-popout[data-collapse=small] .b-bar-label {
  text-align: center;
}

.b-bar-vertical-inline:not([data-collapse]) {
  overflow-y: auto;
  overflow-x: hidden;
}
.b-bar-vertical-inline:not([data-collapse]) .b-bar-dropdown .b-bar-dropdown-menu-container {
  position: relative;
}
.b-bar-vertical-inline:not([data-collapse]) .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu {
  position: relative !important;
  border: none;
  border-radius: 0;
  box-shadow: none;
}
.b-bar-vertical-inline:not([data-collapse]) .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu .b-bar-dropdown-item {
  padding: 0.5rem 0.5rem 0.5rem 3rem;
}
.b-bar-vertical-inline:not([data-collapse]) .b-bar-brand .b-bar-link {
  display: flex;
  align-items: center;
}

.b-bar-vertical-popout:not([data-collapse]) .b-bar-dropdown .b-bar-dropdown-menu-container {
  z-index: 100;
  max-height: 50vh;
  position: absolute;
  right: auto;
  bottom: auto;
  margin: -42px 5px 0px 5px;
  display: flex;
  width: var(--b-vertical-bar-popout-menu-width, 180px);
  left: var(--b-vertical-bar-width, 230px);
}
.b-bar-vertical-popout:not([data-collapse]) .b-bar-dropdown .b-bar-dropdown-menu-container.b-bar-right {
  right: var(--b-vertical-bar-width, 230px);
  left: unset;
}
.b-bar-vertical-popout:not([data-collapse]) .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu {
  box-shadow: 0 3px 6px -4px rgba(0, 0, 0, 0.12), 0 6px 16px 0 rgba(0, 0, 0, 0.08), 0 9px 28px 8px rgba(0, 0, 0, 0.05);
  border-radius: 3px;
  overflow-y: auto;
  overflow-x: hidden;
  flex: 1 100%;
}
.b-bar-vertical-popout:not([data-collapse]) .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu .b-bar-dropdown-item {
  padding: 0.5rem 0.5rem 0.5rem 1.5rem;
}
.b-bar-vertical-popout:not([data-collapse]) .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu:before {
  position: absolute;
  top: 0;
  left: -7px;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  opacity: 0.0001;
  content: " ";
  z-index: -1;
}
.b-bar-vertical-popout:not([data-collapse]) .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu.b-bar-right:before {
  left: unset;
  right: -7px;
}
.b-bar-vertical-popout:not([data-collapse]) .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu > .b-bar-dropdown > .b-bar-dropdown-menu-container {
  left: var(--b-vertical-bar-popout-menu-width, 180px);
  margin: 0 5px;
}
.b-bar-vertical-popout:not([data-collapse]) .b-bar-dropdown .b-bar-dropdown-menu-container .b-bar-dropdown-menu > .b-bar-dropdown > .b-bar-dropdown-menu-container.b-bar-right {
  right: var(--b-vertical-bar-popout-menu-width, 180px);
}

.b-bar-vertical-inline[data-collapse=hide],
.b-bar-vertical-popout[data-collapse=hide],
.b-bar-vertical-small[data-collapse=hide] {
  width: 0px;
  min-width: 0px;
  overflow-y: hidden;
  visibility: hidden;
}
.b-bar-vertical-inline[data-collapse=hide]:not(.b-bar-initial),
.b-bar-vertical-popout[data-collapse=hide]:not(.b-bar-initial),
.b-bar-vertical-small[data-collapse=hide]:not(.b-bar-initial) {
  transition: width 200ms ease-in-out, min-width 200ms ease-in-out, visibility 100ms;
}
.b-bar-vertical-inline[data-collapse=hide] .b-bar-toggler-inline,
.b-bar-vertical-popout[data-collapse=hide] .b-bar-toggler-inline,
.b-bar-vertical-small[data-collapse=hide] .b-bar-toggler-inline {
  display: none;
}
.b-bar-vertical-inline[data-collapse=hide] .b-bar-toggler-popout:not(.b-bar-mobile-toggle),
.b-bar-vertical-popout[data-collapse=hide] .b-bar-toggler-popout:not(.b-bar-mobile-toggle),
.b-bar-vertical-small[data-collapse=hide] .b-bar-toggler-popout:not(.b-bar-mobile-toggle) {
  visibility: visible;
  left: 0px;
}

/* Mobile & below */
@media only screen and (max-width: 576px) {
  .b-bar-vertical-inline:not([data-collapse]) {
    min-width: 100vw;
  }
  .b-bar-vertical-inline:not([data-collapse]) .b-bar-toggler-inline:not(.b-bar-mobile-toggle) {
    display: none;
  }
  .b-bar-vertical-inline:not([data-collapse]) .b-bar-toggler-popout:not(.b-bar-mobile-toggle) {
    left: 100vw;
  }
  .b-bar-vertical-inline:not([data-collapse]) .b-bar-mobile-toggle {
    display: flex;
  }
}
.b-table.table {
  position: relative;
}
.b-table.table .b-table-resizer {
  position: absolute;
  top: 0;
  right: 0;
  width: 5px;
  cursor: col-resize;
  user-select: none;
  z-index: 1;
}
.b-table.table .b-table-resizer:hover, .b-table.table .b-table-resizing {
  cursor: col-resize !important;
  border-right: 2px solid var(--b-theme-primary, blue);
}
.b-table.table .b-table-resizing {
  cursor: col-resize !important;
}
.b-table.table .b-table-reordering {
  position: relative;
  z-index: 1;
}
.b-table.table .b-table-reordering.b-table-reordering-start::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  height: 100%;
  border-left: 2px solid var(--b-theme-primary, blue);
  pointer-events: none;
}
.b-table.table .b-table-reordering.b-table-reordering-end::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  height: 100%;
  border-right: 2px solid var(--b-theme-primary, blue);
  pointer-events: none;
}

thead tr th {
  position: relative;
}

.b-character-casing-lower {
  text-transform: lowercase;
}

.b-character-casing-upper {
  text-transform: uppercase;
}

.b-character-casing-title {
  text-transform: lowercase;
}
.b-character-casing-title::first-letter {
  text-transform: uppercase;
}

/*! Pickr 1.8.2 MIT | https://github.com/Simonwep/pickr */
.pickr {
  position: relative;
  overflow: visible;
  transform: translateY(0);
}

.pickr * {
  box-sizing: border-box;
  outline: none;
  border: none;
  -webkit-appearance: none;
}

.pickr .pcr-button {
  position: relative;
  height: 2em;
  width: 2em;
  padding: 0.5em;
  cursor: pointer;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Helvetica Neue", Arial, sans-serif;
  border-radius: 0.15em;
  background: url('data:image/svg+xml;utf8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 50 50" stroke="%2342445A" stroke-width="5px" stroke-linecap="round"><path d="M45,45L5,5"></path><path d="M45,5L5,45"></path></svg>') no-repeat center;
  background-size: 0;
  transition: all 0.3s;
}

.pickr .pcr-button::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url('data:image/svg+xml;utf8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 2 2"><path fill="white" d="M1,0H2V1H1V0ZM0,1H1V2H0V1Z"/><path fill="gray" d="M0,0H1V1H0V0ZM1,1H2V2H1V1Z"/></svg>');
  background-size: 0.5em;
  border-radius: 0.15em;
  z-index: -1;
}

.pickr .pcr-button::before {
  z-index: initial;
}

.pickr .pcr-button::after {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  transition: background 0.3s;
  background: var(--pcr-color);
  border-radius: 0.15em;
}

.pickr .pcr-button.clear {
  background-size: 70%;
}

.pickr .pcr-button.clear::before {
  opacity: 0;
}

.pickr .pcr-button.clear:focus {
  box-shadow: 0 0 0 1px rgba(255, 255, 255, 0.85), 0 0 0 3px var(--pcr-color);
}

.pickr .pcr-button.disabled {
  cursor: not-allowed;
}

.pickr *, .pcr-app * {
  box-sizing: border-box;
  outline: none;
  border: none;
  -webkit-appearance: none;
}

.pickr input:focus, .pickr input.pcr-active, .pickr button:focus, .pickr button.pcr-active, .pcr-app input:focus, .pcr-app input.pcr-active, .pcr-app button:focus, .pcr-app button.pcr-active {
  box-shadow: 0 0 0 1px rgba(255, 255, 255, 0.85), 0 0 0 3px var(--pcr-color);
}

.pickr .pcr-palette, .pickr .pcr-slider, .pcr-app .pcr-palette, .pcr-app .pcr-slider {
  transition: box-shadow 0.3s;
}

.pickr .pcr-palette:focus, .pickr .pcr-slider:focus, .pcr-app .pcr-palette:focus, .pcr-app .pcr-slider:focus {
  box-shadow: 0 0 0 1px rgba(255, 255, 255, 0.85), 0 0 0 3px rgba(0, 0, 0, 0.25);
}

.pcr-app {
  position: fixed;
  display: flex;
  flex-direction: column;
  z-index: 10000;
  border-radius: 0.1em;
  background: #fff;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s, visibility 0s 0.3s;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Helvetica Neue", Arial, sans-serif;
  box-shadow: 0 0.15em 1.5em 0 rgba(0, 0, 0, 0.1), 0 0 1em 0 rgba(0, 0, 0, 0.03);
  left: 0;
  top: 0;
}

.pcr-app.visible {
  transition: opacity 0.3s;
  visibility: visible;
  opacity: 1;
}

.pcr-app .pcr-swatches {
  display: flex;
  flex-wrap: wrap;
  margin-top: 0.75em;
}

.pcr-app .pcr-swatches.pcr-last {
  margin: 0;
}

@supports (display: grid) {
  .pcr-app .pcr-swatches {
    display: grid;
    align-items: center;
    grid-template-columns: repeat(auto-fit, 1.75em);
  }
}
.pcr-app .pcr-swatches > button {
  font-size: 1em;
  position: relative;
  width: calc(1.75em - 5px);
  height: calc(1.75em - 5px);
  border-radius: 0.15em;
  cursor: pointer;
  margin: 2.5px;
  flex-shrink: 0;
  justify-self: center;
  transition: all 0.15s;
  overflow: hidden;
  background: transparent;
  z-index: 1;
}

.pcr-app .pcr-swatches > button::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url('data:image/svg+xml;utf8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 2 2"><path fill="white" d="M1,0H2V1H1V0ZM0,1H1V2H0V1Z"/><path fill="gray" d="M0,0H1V1H0V0ZM1,1H2V2H1V1Z"/></svg>');
  background-size: 6px;
  border-radius: 0.15em;
  z-index: -1;
}

.pcr-app .pcr-swatches > button::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--pcr-color);
  border: 1px solid rgba(0, 0, 0, 0.05);
  border-radius: 0.15em;
  box-sizing: border-box;
}

.pcr-app .pcr-swatches > button:hover {
  filter: brightness(1.05);
}

.pcr-app .pcr-swatches > button:not(.pcr-active) {
  box-shadow: none;
}

.pcr-app .pcr-interaction {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  margin: 0 -0.2em 0 -0.2em;
}

.pcr-app .pcr-interaction > * {
  margin: 0 0.2em;
}

.pcr-app .pcr-interaction input {
  letter-spacing: 0.07em;
  font-size: 0.75em;
  text-align: center;
  cursor: pointer;
  color: #75797e;
  background: #f1f3f4;
  border-radius: 0.15em;
  transition: all 0.15s;
  padding: 0.45em 0.5em;
  margin-top: 0.75em;
}

.pcr-app .pcr-interaction input:hover {
  filter: brightness(0.975);
}

.pcr-app .pcr-interaction input:focus {
  box-shadow: 0 0 0 1px rgba(255, 255, 255, 0.85), 0 0 0 3px rgba(66, 133, 244, 0.75);
}

.pcr-app .pcr-interaction .pcr-result {
  color: #75797e;
  text-align: left;
  flex: 1 1 8em;
  min-width: 8em;
  transition: all 0.2s;
  border-radius: 0.15em;
  background: #f1f3f4;
  cursor: text;
}

.pcr-app .pcr-interaction .pcr-result::-moz-selection {
  background: #4285f4;
  color: #fff;
}

.pcr-app .pcr-interaction .pcr-result::selection {
  background: #4285f4;
  color: #fff;
}

.pcr-app .pcr-interaction .pcr-type.active {
  color: #fff;
  background: #4285f4;
}

.pcr-app .pcr-interaction .pcr-save, .pcr-app .pcr-interaction .pcr-cancel, .pcr-app .pcr-interaction .pcr-clear {
  color: #fff;
  width: auto;
}

.pcr-app .pcr-interaction .pcr-save, .pcr-app .pcr-interaction .pcr-cancel, .pcr-app .pcr-interaction .pcr-clear {
  color: #fff;
}

.pcr-app .pcr-interaction .pcr-save:hover, .pcr-app .pcr-interaction .pcr-cancel:hover, .pcr-app .pcr-interaction .pcr-clear:hover {
  filter: brightness(0.925);
}

.pcr-app .pcr-interaction .pcr-save {
  background: #4285f4;
}

.pcr-app .pcr-interaction .pcr-clear, .pcr-app .pcr-interaction .pcr-cancel {
  background: #f44250;
}

.pcr-app .pcr-interaction .pcr-clear:focus, .pcr-app .pcr-interaction .pcr-cancel:focus {
  box-shadow: 0 0 0 1px rgba(255, 255, 255, 0.85), 0 0 0 3px rgba(244, 66, 80, 0.75);
}

.pcr-app .pcr-selection .pcr-picker {
  position: absolute;
  height: 18px;
  width: 18px;
  border: 2px solid #fff;
  border-radius: 100%;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.pcr-app .pcr-selection .pcr-color-palette, .pcr-app .pcr-selection .pcr-color-chooser, .pcr-app .pcr-selection .pcr-color-opacity {
  position: relative;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  display: flex;
  flex-direction: column;
  cursor: grab;
  cursor: -webkit-grab;
}

.pcr-app .pcr-selection .pcr-color-palette:active, .pcr-app .pcr-selection .pcr-color-chooser:active, .pcr-app .pcr-selection .pcr-color-opacity:active {
  cursor: grabbing;
  cursor: -webkit-grabbing;
}

.pcr-app[data-theme=monolith] {
  width: 14.25em;
  max-width: 95vw;
  padding: 0.8em;
}

.pcr-app[data-theme=monolith] .pcr-selection {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex-grow: 1;
}

.pcr-app[data-theme=monolith] .pcr-selection .pcr-color-preview {
  position: relative;
  z-index: 1;
  width: 100%;
  height: 1em;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-bottom: 0.5em;
}

.pcr-app[data-theme=monolith] .pcr-selection .pcr-color-preview::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url('data:image/svg+xml;utf8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 2 2"><path fill="white" d="M1,0H2V1H1V0ZM0,1H1V2H0V1Z"/><path fill="gray" d="M0,0H1V1H0V0ZM1,1H2V2H1V1Z"/></svg>');
  background-size: 0.5em;
  border-radius: 0.15em;
  z-index: -1;
}

.pcr-app[data-theme=monolith] .pcr-selection .pcr-color-preview .pcr-last-color {
  cursor: pointer;
  transition: background-color 0.3s, box-shadow 0.3s;
  border-radius: 0.15em 0 0 0.15em;
  z-index: 2;
}

.pcr-app[data-theme=monolith] .pcr-selection .pcr-color-preview .pcr-current-color {
  border-radius: 0 0.15em 0.15em 0;
}

.pcr-app[data-theme=monolith] .pcr-selection .pcr-color-preview .pcr-last-color, .pcr-app[data-theme=monolith] .pcr-selection .pcr-color-preview .pcr-current-color {
  background: var(--pcr-color);
  width: 50%;
  height: 100%;
}

.pcr-app[data-theme=monolith] .pcr-selection .pcr-color-palette {
  width: 100%;
  height: 8em;
  z-index: 1;
}

.pcr-app[data-theme=monolith] .pcr-selection .pcr-color-palette .pcr-palette {
  border-radius: 0.15em;
  width: 100%;
  height: 100%;
}

.pcr-app[data-theme=monolith] .pcr-selection .pcr-color-palette .pcr-palette::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url('data:image/svg+xml;utf8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 2 2"><path fill="white" d="M1,0H2V1H1V0ZM0,1H1V2H0V1Z"/><path fill="gray" d="M0,0H1V1H0V0ZM1,1H2V2H1V1Z"/></svg>');
  background-size: 0.5em;
  border-radius: 0.15em;
  z-index: -1;
}

.pcr-app[data-theme=monolith] .pcr-selection .pcr-color-chooser, .pcr-app[data-theme=monolith] .pcr-selection .pcr-color-opacity {
  height: 0.5em;
  margin-top: 0.75em;
}

.pcr-app[data-theme=monolith] .pcr-selection .pcr-color-chooser .pcr-picker, .pcr-app[data-theme=monolith] .pcr-selection .pcr-color-opacity .pcr-picker {
  top: 50%;
  transform: translateY(-50%);
}

.pcr-app[data-theme=monolith] .pcr-selection .pcr-color-chooser .pcr-slider, .pcr-app[data-theme=monolith] .pcr-selection .pcr-color-opacity .pcr-slider {
  flex-grow: 1;
  border-radius: 50em;
}

.pcr-app[data-theme=monolith] .pcr-selection .pcr-color-chooser .pcr-slider {
  background: linear-gradient(to right, red, #ff0, lime, cyan, blue, #f0f, red);
}

.pcr-app[data-theme=monolith] .pcr-selection .pcr-color-opacity .pcr-slider {
  background: linear-gradient(to right, transparent, black), url('data:image/svg+xml;utf8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 2 2"><path fill="white" d="M1,0H2V1H1V0ZM0,1H1V2H0V1Z"/><path fill="gray" d="M0,0H1V1H0V0ZM1,1H2V2H1V1Z"/></svg>');
  background-size: 100%, 0.25em;
}
